Bug 229991 - Implement RTCPeerConnection implicit rollback
Summary: Implement RTCPeerConnection implicit rollback
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebRTC (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks: 230093
  Show dependency treegraph
 
Reported: 2021-09-07 03:29 PDT by youenn fablet
Modified: 2021-09-10 11:12 PDT (History)
10 users (show)

See Also:


Attachments
Patch (19.00 KB, patch)
2021-09-07 03:38 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (21.92 KB, patch)
2021-09-09 04:10 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Rebasing (22.42 KB, patch)
2021-09-10 07:23 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Rebasing (24.53 KB, patch)
2021-09-10 07:33 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch for landing (24.53 KB, patch)
2021-09-10 10:14 PDT, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2021-09-07 03:29:34 PDT
Implement RTCPeerConnection implicit rollback
Comment 1 youenn fablet 2021-09-07 03:38:43 PDT
Created attachment 437481 [details]
Patch
Comment 2 youenn fablet 2021-09-09 04:10:35 PDT
Created attachment 437731 [details]
Patch
Comment 3 youenn fablet 2021-09-10 07:23:27 PDT
Created attachment 437866 [details]
Rebasing
Comment 4 youenn fablet 2021-09-10 07:33:46 PDT
Created attachment 437869 [details]
Rebasing
Comment 5 youenn fablet 2021-09-10 10:09:20 PDT
imported/w3c/web-platform-tests/webrtc/no-media-call.html flaky failure is tracked in https://bugs.webkit.org/show_bug.cgi?id=230157
Comment 6 EWS 2021-09-10 10:10:35 PDT
ChangeLog entry in LayoutTests/ChangeLog contains OOPS!.
Comment 7 youenn fablet 2021-09-10 10:14:31 PDT
Created attachment 437887 [details]
Patch for landing
Comment 8 EWS 2021-09-10 11:11:31 PDT
Committed r282281 (241557@main): <https://commits.webkit.org/241557@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 437887 [details].
Comment 9 Radar WebKit Bug Importer 2021-09-10 11:12:18 PDT
<rdar://problem/82980565>